; PlatformIO Project Configuration File
;
;   Build options: build flags, source filter
;   Upload options: custom upload port, speed and extra flags
;   Library options: dependencies, extra library storages
;   Advanced options: extra scripting
;
; Please visit documentation for the other options and examples
; https://docs.platformio.org/page/projectconf.html

[platformio]
data_dir = ../front-end/pkg

[env]
build_unflags = -std=gnu++11
build_flags = -std=gnu++17
board_build.filesystem = littlefs
monitor_speed = 74880
lib_deps =
	adafruit/Adafruit GFX Library@^1.11.3
	adafruit/Adafruit NeoPixel@^1.10.6
	adafruit/Adafruit ST7735 and ST7789 Library@^1.9.3
	adafruit/Adafruit Unified Sensor@^1.1.6
	adafruit/DHT sensor library@^1.4.4
	ayushsharma82/AsyncElegantOTA@^2.2.7
	https://github.com/lorol/ESPAsyncWebServer.git#8c77d0e63f55160953fda843baa11435b05ae0bd
	liux-pro/qrcode generator@^1.7.2
	me-no-dev/ESPAsyncTCP@^1.2.2
extra_scripts = pre:apply_patches.py

[env:uno]
platform = atmelavr
board = uno
framework = arduino

[env:mega2560]
platform = atmelavr
board = megaatmega2560
framework = arduino
lib_deps =
	${env.lib_deps}
	mike-matera/ArduinoSTL @ ^1.3.3

[env:d1_mini]
platform = espressif8266
board = d1_mini
framework = arduino
upload_speed = 921600

[env:native]
platform = native
test_framework = doctest
lib_deps =
